List all users
curl --request GET \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"next": "<string>",
"numPages": 123,
"page": 123,
"pageSize": 123,
"previous": "<string>",
"total": 123
},
"users": [
{
"country": "<string>",
"createdAt": "<string>",
"displayType": "<string>",
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
]
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Users
List all users
Get a list of all users (both personal and business) for the authenticated merchant
GET
/
api
/
v1
/
account
/
users
List all users
Authorizations
API Key for accessing management endpoints
Query Parameters
Page number (default: 1)
Page size (default: 30, max: 100)
Sort fields (prefix with - for desc): name,email,createdAt,country. Example: sort=country,-createdAt
Multiple filters can be applied with field_operator=value format. Fields: name,email,country,createdAt. Operators: eq (equals), neq (not equals), gt/lt (greater/less than), like/ilike (case sensitive/insensitive contains). Examples: name_like=john&email_eq=example.com&createdAt_gt=2023-01-01
Search users by id, name, email and country
⌘I